<!DOCTYPE html>
<html lang="en">
<head>
    <title>Shopping List</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-beta/css/materialize.min.css">
</head>
<body>
    <nav>
        <div class="nav-wrapper">
            <a class="brand-logo center">Shopping List</a>
        </div>
    </nav>
    <ul></ul>
    
    <script>
        const electron = require('electron');
        const {ipcRenderer} = electron;

        const ul = document.querySelector('ul');
        //Adding items
        ipcRenderer.on('item:add', (e,item)=>{
            ul.className = 'collection';
            const li = document.createElement('li');
            li.className = 'collection-item';
            const itemText = document.createTextNode(item);
            li.appendChild(itemText);
            ul.appendChild(li);
        });
        //Clearing all items
        ipcRenderer.on('item:clear', ()=>{
            ul.innerHTML = '';
            ul.className = '';
        });
        //Removing items
        ul.addEventListener('dblclick', removeItem);
        function removeItem(e){
            e.target.remove();
            if(ul.children.length == 0){
                ul.className = '';
            }
        }


    </script>
</body>
</html>